package com.chinacreator.process.exception;


public class VideoException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2853623777601366514L;

	private String errorcode;
	
	private String[] params;
	
	public VideoException(String errorcode, String msg, String... params) {
		super(msg);
		this.errorcode = errorcode;
		this.params = params;
	}

	public String getErrorcode() {
		return errorcode;
	}

	public String[] getParams() {
		return params;
	}
}
 